Programmatic Subscriptions
Once you have created a Webhook Endpoint, you can now manage that Webhook Endpoint's Webhook Subscriptions through the Tiltify API.
We provide an endpoint that will either create or update an existing Webhook
Subscription for a given Fact. This endpoint requires an
Application Access Token with the webhooks:write scope.
The endpoint path takes your Webhook Endpoint ID, which you can find on your
Webhook Endpoint's overview page
in the Developer Dashboard, and the ID of the Fact you
are subscribing to.
See the API Reference for more information on this endpoint.
Additionally, we have a page describing a list of supported event types
Example:
- cURL
curl -X PUT https://v5api.tiltify.com/api/private/webhook_endpoints/9c3dc859-b0f7-46cb-a496-71f8f94183b8/webhook_subscriptions/94fab19b-40a5-4fd9-8994-0d7e1557afbf \
-H 'Authorization: Bearer ab6a592346444dea97170837e104d8a5ab6a592346444dea97170837e104d8a5' \
-d '{"event_types":["public:direct:donation_updated", "public:direct:fact_updated"]}'